/*
DL2 Monitor: ./pa/pap.h
Copyright (C) 2002, Rolf Jger, Ulm (Germany)

See the file README for information on usage and redistribution
of this source code file, and for a DISCLAIMER OF ALL WARRANTIES.
*/

/*----------------------------------------------------------------------------
 * Datalink Monitor (pap): Packet Type pap (local)
 * creates the Pa_Packet object pa_pap: see pa.h for details. 
 *
 * Author: Rolf Jger,Ulm
 *----------------------------------------------------------------------------
 * YYYYMMDD  History
 * 20020427  length introduced. 
 * 20020410  attention to reserved verbose flags. 
 * 20020330  created from scratch
 * $Id: pap.h,v 1.4 2002/04/29 12:58:49 dv Exp $
 *----------------------------------------------------------------------------
*/
# ifndef __PAP_H__
# define __PAP_H__
# include "pa/pa.h"

static Pa_Config pa_pap_field[] = {
  {"code","C",0},
  {"request-id","RI",1},
  {"length","L",2},
  {"data","PD",3},
  {"peer","AP",4},
  {"password","PW",5},
  {"message","AM",6},
  {NULL,NULL,-1}
};
const Pa_Packet pa_pap = {"pap",pa_pap_field};

# define PAP_Mcode			0x00000001
# define PAP_Mrequest_id		0x00000002
# define PAP_Mlength			0x00000004
# define PAP_Mdata			0x00000008
# define PAP_Mpeer			0x00000010
# define PAP_Mpassword			0x00000020
# define PAP_Mmessage			0x00000040
# define PAP_Mdefault			PA_VMdefault
# define PAP_Mpacket_length		PA_VMpacket_length

# define PAP_F(i)			pa_pap_field[i].oname
# define PAP_Fcode			PAP_F(0)
# define PAP_Frequest_id		PAP_F(1)
# define PAP_Flength			PAP_F(2)
# define PAP_Fdata			PAP_F(3)
# define PAP_Fpeer			PAP_F(4)
# define PAP_Fpassword			PAP_F(5)
# define PAP_Fmessage			PAP_F(6)
# define PAP_Fpacket_length		PA_VFpacket_length
//undef  PAP_F(i)

# endif /*__PAP_H__*/
