/*
DL2 Monitor: ./pa/pppoe.h
Copyright (C) 2002, Rolf Jger, Ulm (Germany)

See the file README for information on usage and redistribution
of this source code file, and for a DISCLAIMER OF ALL WARRANTIES.
*/

/*----------------------------------------------------------------------------
 * Datalink Monitor (pppoe): Packet Type pppoe (local)
 * creates the Pa_Packet object pa_pppoe: see pa.h for details. 
 *
 * Author: Rolf Jger,Ulm
 *----------------------------------------------------------------------------
 * YYYYMMDD  History
 * 20020410  attention to reserved verbose flags. 
 * 20020330  created from scratch
 * $Id: pppoe.h,v 1.3 2002/04/10 10:36:26 dv Exp $
 *----------------------------------------------------------------------------
*/
# ifndef __PPPOE_H__
# define __PPPOE_H__
# include "pa/pa.h"

static Pa_Config pa_pppoe_field[] = {
  {"protocol-version","PV",0},
  {"code","C",1},
  {"session-id","SI",2},
  {"payload-length","FL",3},
  {"payload-type","FT",4},
  {"payload-data","FD",5},
  {"follow-frame","",6},
  {"follow-icmp","",7},
  {"follow-tcp","",8},
  {"follow-udp","",9},
  {NULL,NULL,-1}
};
const Pa_Packet pa_pppoe = {"pppoe",pa_pppoe_field};

# define PPPOE_Mprotocol_version	0x00000001
# define PPPOE_Mcode			0x00000002
# define PPPOE_Msession_id		0x00000004
# define PPPOE_Mpayload_length		0x00000008
# define PPPOE_Mpayload_type		0x00000010
# define PPPOE_Mpayload_data		0x00000020
# define PPPOE_Mfollow_frame		0x00000040
# define PPPOE_Mfollow_icmp		0x00000080
# define PPPOE_Mfollow_tcp		0x00000100
# define PPPOE_Mfollow_udp		0x00000200
# define PPPOE_Mdefault			PA_VMdefault
# define PPPOE_Mpacket_length		PA_VMpacket_length

# define PPPOE_F(i)			pa_pppoe_field[i].oname
# define PPPOE_Fprotocol_version	PPPOE_F(0)
# define PPPOE_Fcode			PPPOE_F(1)
# define PPPOE_Fsession_id		PPPOE_F(2)
# define PPPOE_Fpayload_length		PPPOE_F(3)
# define PPPOE_Fpayload_type		PPPOE_F(4)
# define PPPOE_Fpayload_data		PPPOE_F(5)
# define PPPOE_Fpacket_length		PA_VFpacket_length

# endif /*__PPPOE_H__*/
